net.sf.statcvs.output

## Class LocalFileCssHandler

- java.lang.Object
- - net.sf.statcvs.output.LocalFileCssHandler

All Implemented Interfaces:
  CssHandler

    public class LocalFileCssHandler
    extends java.lang.Object
    implements CssHandler

CSS handler for a local CSS file which will be copied to the output dir.

Author:
  Richard Cyganiak

### Constructor Summary

Constructors
Constructor and Description
`LocalFileCssHandler(java.lang.String filename)` Creates a new LocalFileCssHandler for a given CSS file.

### Method Summary

Methods
`void` `checkForMissingResources()` Checks if the local CSS file exists
`void` `createOutputFiles()` Copies the local CSS file to the output directory
`java.lang.String` `getLink()` returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"> HREF="filename.css";.
`java.lang.String` `toString()` toString

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalFileCssHandler

    public LocalFileCssHandler(java.lang.String filename)

Creates a new LocalFileCssHandler for a given CSS file. The filename can be absoulte or relative.

Parameters:
  `filename` - Name of the CSS file

### Method Detail

#### getLink

    public java.lang.String getLink()

Description copied from interface: `CssHandler`
returns a link to the CSS file, which can be used as the HREF in HTML's <LINK REL="stylesheet"> HREF="filename.css";.

Specified by:
  `getLink` in interface `CssHandler`
Returns:
  a link to the CSS file
See Also:
  `CssHandler.getLink()`

#### checkForMissingResources

    public void checkForMissingResources()
                                  throws ConfigurationException

Checks if the local CSS file exists

Specified by:
  `checkForMissingResources` in interface `CssHandler`
Throws:
  `ConfigurationException` - if the file is not found
See Also:
  `CssHandler.checkForMissingResources()`

#### createOutputFiles

    public void createOutputFiles()
                           throws java.io.IOException

Copies the local CSS file to the output directory

Specified by:
  `createOutputFiles` in interface `CssHandler`
Throws:
  `java.io.IOException` - if an output file can't be created
See Also:
  `CssHandler.createOutputFiles()`

#### toString

    public java.lang.String toString()

toString

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  string